<p align="center">
  <img alt="Headless IDA" src="https://raw.githubusercontent.com/DennyDai/headless-ida/main/headless-ida.png" width="128">
</p>
<h1 align="center">Headless IDA</h1>

[![Latest Release](https://img.shields.io/pypi/v/headless-ida.svg)](https://pypi.python.org/pypi/headless-ida/)

# Install
```bash
pip install headless-ida
```

# Usage
```python
# Initialize HeadlessIda
from headless_ida import HeadlessIda
headlessida = HeadlessIda("/path/to/idat64", "/path/to/binary")

# Import IDA Modules
idautils = headlessida.import_module("idautils")
ida_name = headlessida.import_module("ida_name")

# Have Fun
for func in idautils.Functions():
    print(f"{hex(func)} {ida_name.get_ea_name(func)}")
```

# Resources
- Headless IDA Examples: [examples](examples)
- IDAPython Documentation: [IDAPython](https://www.hex-rays.com/products/ida/support/idapython_docs/)
